%define name PyQt
%define version 3.5
%define release 1mdk
# py_ver, because modules have to be recompiled for another Python version
%define py_ver 2.2
%define sip_major 9
%define qt_ver 3.1.1

Summary:	Python bindings for Qt.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Free
Group:		Development/Python
Source:		%{name}-x11-gpl-%{version}.tar.bz2
URL:		http://www.thekompany.com/projects
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libsip%{sip_major}-devel = %{version}
Requires:	sip , python >= %{py_ver}, libsip%{sip_major}
Prefix:		%{_prefix}

%description
Python bindings for the Qt C++ class library.


%package devel
Summary: SIP specification files for Qt.
Group: Development/Python

%description devel
The SIP specification files for the Qt class library.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %name-x11-gpl-%version

%build

mkdir -p $RPM_BUILD_ROOT%{_libdir}/python2.2/site-packages
%{__python} build.py -q %{_libdir}/qt3 -b $RPM_BUILD_ROOT%{_bindir} \
    -d $RPM_BUILD_ROOT%{_libdir}/python2.2/site-packages


make

%install
make DESTDIR=$RPM_BUILD_ROOT install 


%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, 755)
%doc NEWS README 
%doc %dir doc/PyQt examples*
%{_bindir}/*
#%{_libdir}/python*/site-packages/eric/*
%{_libdir}/python*/site-packages/libqt*cmodule*.*
%{_libdir}/python*/site-packages/qt*.py*

#%files devel
#%defattr(-, root, root, 755)
#%{_datadir}/sip/qt

%changelog
* Fri Jan 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.5-1mdk
- 3.5

* Mon Apr 08 2002 Christian Belisle <cbelisle@mandrakesoft.com> 3.1-1mdk
- version 3.1.
- Update URL.
- Update python version.
- Macroize.
- Quiet the setup

* Tue Sep 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.5-1mdk
- fix build 
- updated by RA <Ralf_Ahlbrink@web.de> :
	- upgrade to 2.5

* Fri Jun 01 2001 Yves Bailly <ybailly@mandrakesoft.com> 2.4-1mdk
- upgrade to 2.4

* Thu Feb 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.3-1mdk
- used sprm from  Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr>

* Sun Feb 04 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 2.3-2mgv
- tweak %%files

* Tue Oct 10 2000 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 2.2-1mgv
- mandrakization for 7.2

